#
# spec file for package distrobuilder

Name:           distrobuilder
Version:        3.0
Release:        1.3
Summary:        System container image builder for LXC and LXD/Incus
License:        Apache-2.0
URL:            https://github.com/lxc/distrobuilder
Source0:        https://github.com/lxc/distrobuilder/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
Patch0:         mkisofs.patch
BuildRequires:  make
BuildRequires:  go
BuildRequires:  debootstrap
BuildRequires:  rsync
BuildRequires:  git
BuildRequires:  gnupg2
BuildRequires:  squashfs-tools
Buildrequires:  zstd
Requires:       debootstrap
Requires:       python3-xattr
Requires:       rsync
Requires:       git
Requires:       gnupg2
Requires:       gdisk
Requires:       dirmngr
Requires:       squashfs-tools
Requires:       qemu-img
Requires:       btrfs-progs
Requires:       dosfstools
Requires:       e2fsprogs
Requires:       hivex
Requires:       wimtools
Requires:       mkisofs
Requires:       zstd
Requires:       xz
Requires:       lzop
Requires:       xz-libs
Requires:       lzip
Requires:       gzip
Requires:       bzip2

%description
%{summary}.

%prep
%autosetup -p1 -a1 -n %{name}-%{name}-%{version}

%build
%make_build

%install
install -D -m 755 $HOME/go/bin/distrobuilder %{buildroot}%{_bindir}/distrobuilder

%files
%license COPYING
%doc README.md CONTRIBUTING.md CODE_OF_CONDUCT.md
%{_bindir}/distrobuilder

%changelog
* Thu Jun 20 2024 Michael Stauber <mstauber@solarspeed.net> - 3.0-1.3
- Initial build
